# $Revision: 1.52 $, $Date: 2010/08/21 19:09:21 $
%include	/usr/lib/rpm/macros.php
%define		_class		MDB
%define		_pearname	%{_class}
%define		_status		stable
Summary:	%{_pearname} - unified database API
Summary(pl.UTF-8):	%{_pearname} - zunifikowane API baz danych
Name:		php-pear-%{_pearname}
Version:	1.3.0
Release:	6
Epoch:		1
License:	BSD style
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	a5601b6d45ffede24647cd69cf425b85
URL:		http://pear.php.net/package/MDB/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.0-0.b1
Requires:	php-pear-XML_Parser
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MDB is a merge of PEAR's DB and Metabases that provides a unified DB
API. It also provides methods for DB portability and DB feature
emulation. Most notably it features a DB independent XML-Schema
manager.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
MDB to połączenie PEAR DB i Metabases, które daje ujednolicone API do
baz danych. Zawiera także metody zapewniające przenośność i emulację
właściwości dla baz danych. Najważniejsza cecha to niezależny od bazy
danych zarządca schematów XML.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/{MAINTAINERS,README,TODO,doc/}
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}
%dir %{php_pear_dir}/%{_class}/Modules
%dir %{php_pear_dir}/%{_class}/Modules/Manager
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/Modules/*.php
%{php_pear_dir}/%{_class}/Modules/Manager/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-MDB.spec,v $
Revision 1.52  2010/08/21 19:09:21  glen
- updated deps with pearize.sh
- release 6

Revision 1.51  2008/01/31 12:17:19  glen
- rel 5

Revision 1.50  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.49  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.48  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.47  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.46  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.45  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.44  2005/11/20 16:26:33  glen
- rel 4

Revision 1.43  2005/10/05 20:11:06  glen
- rel 3

Revision 1.42  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.41  2005/09/29 22:32:08  glen
- add AutoReq: no for -tests

Revision 1.40  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.39  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.38  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.37  2005/09/19 21:43:40  glen
- integer BR

Revision 1.36  2005/09/19 17:26:46  glen
- use new pear packaging system

Revision 1.35  2004/12/03 22:22:53  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.34  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.33  2004/04/25 17:43:38  adamg
- updated to 1.3.0

Revision 1.32  2004/01/13 18:22:29  adamg
- updated to 1.2

Revision 1.31  2004/01/06 15:11:50  adamg
- updated to 1.1.4
- status changed to stable

Revision 1.30  2003/12/23 15:26:26  adamg
- updated to 1.1.4RC6

Revision 1.29  2003/12/06 22:01:14  adamg
- updated to 1.1.4RC5

Revision 1.28  2003/11/22 20:43:58  adamg
- updated to 1.1.4-RC4

Revision 1.27  2003/10/23 22:54:00  adamg
- updated to 1.1.4RC3

Revision 1.26  2003/10/23 21:38:08  adamg
- updated to 1.1.4RC2

Revision 1.25  2003/10/16 21:25:53  adamg
- updated to 1.1.4-RC1
- status changed to devel

Revision 1.24  2003/10/07 20:55:14  adamg
- do not use macros in URL

Revision 1.23  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.22  2003/06/13 14:49:16  adamg
- updated to 1.1.3
- added missing status information in description
- fixed %install and %files

Revision 1.21  2003/06/03 20:48:43  adamg
- license fixes

Revision 1.20  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.19  2003/05/28 08:58:42  adamg
- massive attack: added source0-md5

Revision 1.18  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2002/11/25 01:41:52  ankry
Massive attack:
- s/man[ea]d[zż][ae]r/zarządca/g
- (some) new %doc

Revision 1.16  2002/10/14 23:45:13  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.15  2002/09/08 14:46:06  kloczek
- Epoch: 1.

Revision 1.14  2002/09/08 14:38:38  blues
- 1.0 (stable) - STBR

Revision 1.13  2002/09/07 19:19:06  blues
- 1.0_RC4 - STBR

Revision 1.12  2002/09/05 10:15:56  blues
- 1.0_RC3 - fix in macros, more docs - STBR

Revision 1.11  2002/08/27 16:59:48  blues
- 1.0_RC2 - STBR

Revision 1.10  2002/08/11 20:38:56  blues
- 1.0_RC1 - first RC of this class; STBR

Revision 1.9  2002/08/05 11:19:47  blues
- 0.9.11
STBR

Revision 1.8  2002/07/30 23:08:57  blues
- 0.9.10
STBR

Revision 1.7  2002/07/17 15:52:27  blues
- 0.9.9
- updated patch
STBR

Revision 1.6  2002/07/12 17:34:19  blues
- release 2
- cosmetic patch - change case of class call - fixes requirements
- Req. added
- rebuild with new rpm

Revision 1.5  2002/07/12 09:12:34  blues
- location patch commented out - lets wait for authors reaction...

Revision 1.4  2002/07/04 21:53:34  blues
- 0.9.8
- added location patch
No STBR - this is not good class...

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.1  2002/06/27 20:19:24  blues
- MDB class
